
	xmango [-c user[@host] [-p portnum]]

	This will bring up a window containing several components (including
	a resizable go board).  This window provides the interface to play
	go with an opponent (either at the same terminal or across a 
	network).

	Command line options:
	
	-c	Connect to an opponent.  The opponent is specified 
		by userid "user" and an optional hostname "host"
		(if the desired opponent is on a different machine
		that is accessible over the network).  Depending on
		your network environment, "host" may need to be
		a full address (e.g. sometimes it might be necessary 
		to include the entire hostname:	bartok.austin.grigasoft.com).  
		Note: if you use the -c option without the -p option the
		xmango main window won't come up until your opponent connects.

	-p	Port number to connect to.  If you are running xmango
		before connecting to the opponent, don't use this option.
		It is used when the first player has started xmango
		and the second player wishes to connect.  The portnum
		is assigned by the first player's xmango (called the
		server process) and should not be set arbitrarily by
		the xmango user.  When the first player's server initializes,
		it can broadcast a message to the second player specifying
		what port he should connect to (or the two users can 
		communicate the proper port number through talk, mail, or
		some other internet communication tool).

Examples:

	1) To play xmango on one terminal:

	xmango

	2) If user grover wants to play against edward (both running on the
	same machine: bartok) and beep on every move, he types:

	xmango -c edward

	edward's console (if he's logged on) will get a message like this:

	Message from grover@bartok on ttyp1 at 21:23 ...
	To play go, type: xmango -c grover -p 6368

	Then edward enters:
	
	xmango -c grover -p 6368
	
	3) If edward (on bartok) and min (on ozona) have organized a game 
	while conversing with "talk", edward would type:

	xmango -c min@ozona

	Then edward sees (on his own terminal):
	
	Server waiting at port: 6234...

	He then tells min:

	Hey, I waiting to play go on port 6234.
	Let's play!

	and min would respond with

	xmango -c edward@bartok -p 6234

Using XMango:

	In opponent connection mode (using the "-c" option above), each
	player must select the appropriate "Set Player: Black" or 
	"Set Player: White" button, depending on which color they wish to
	play.

	The text area can be used to send comments to the opponent
	(a running discussion of the game will be maintained here).

	Handicap stones: The player who is black can make multiple opening
	moves to set up his handicap (currently XMango never prevents either
	player from placing multiple stones at any point of the game -- it
	is left up to the players to enforce the 1 stone placed per turn
	rule).

	Placing stones: Once the color of stone desired is selected,
	the player need click the left button on an empty spot on the
	board to place a stone there.  Stones that the move captures will
	automatically be removed from the board.

	Undoing move: The last move is always highlighted.  Only the
	player of the last stone can remove it (undo the move) (actually
	right now either player can undo).  This is done by selecting the 
	"Undo" or "Stone | Undo Move" menu option.

	Passing: when the game has finished each player can Pass by
	selecting the "Pass" or "Stone | Pass" menu option.  When XMango
	has received 2 passes, the game goes into remove-group mode.

	Removing Groups: when the game is in remove-group mode 
	(i.e. the two players have each passed), the "Remove Group" or
	"Stone | Remove Group" menu option becomes sensitive.  Select this
	option, then use the cross-hairs cursor to select (left mouse
	button) a dead group to remove from the board as prisoners.
	If you make a mistake or your opponent protests the remove,
	you can "Undo" the removal (just like undoing a move).  No 
	further stones can be placed when the game is in remove-group
	mode.  

	Scoring the game: When all the dead groups are removed, select 
	the "Score" or "Game | Score" menu option.  This pops up a statistic
	panel with the territorial results.  "Played" is the number of
	stones placed on the board by the player (some of these stones my have
	been captured at some point and are not still on the board at the
	end of the game).  "Captured" is the number of the player's stones
	captured by the opponent.  "Surrounded" is the number of empty spaces
	completely surrounded (controlled) by the player.  "Score" is a
	calculation of "Played", "Captured" and "Surrounded" derived from 
	the "scoringRules" resource (see .Xdefaults section below).
	Notice that some empty spaces on the board might be surrounded by 
	both players.  These spaces are accounted for in the "Neutral"
	Player row.  Also note that you can see the score for the game
	at any point in the game (not just at the remove-group stage)
	(although the calculations only show the current state of the 
	board and do not represent an exact prediction of the winner).

