/* dialogAPI.h -- defines for dialog types */

#if !defined(DIALOG_API_H)
#define DIALOG_API_H

#include "xpublic.h"

#define DIALOG_INFORMATION	0
#define DIALOG_ERROR		1
#define DIALOG_PROMPT		2
#define DIALOG_FILENAME		3

#define BUTTON_OTHER	0
#define BUTTON_OK	1
#define BUTTON_APPLY	2
#define BUTTON_CANCEL	3
#define BUTTON_HELP	4

typedef struct _dialogType dialogType;

dialogType *dialogCreate(Widget parent, int type, char *title, int isModal);
Widget dialogSetLabel(dialogType *dialog, char *labelString);
Widget dialogAddText(dialogType *dialog);
char *dialogGetText(dialogType *dialog);
Widget dialogAddButton(dialogType *dialog, int buttonType, char *buttonLabel,
		       XtCallbackProc proc, XtPointer data, Boolean popdown);
int dialogPopup(dialogType *dialog);
int dialogErrorPopup(Widget parent, char *title, char *message, int isModal);

#endif








