/* goGameP.h -- private structure definintion for goGame object */

#if !defined(GO_GAME_P_H)
#define GO_GAME_P_H

#include "goGame.h"

struct _goGame {
   /* toggle options for the game */
   long int userOptions;
   int playLevel, numPasses;
   
   /* board fields */
   int numRows, numColumns;
   int starPoint;
   int me, turn, whiteCount, blackCount;
   char state[BOARD_MAX_LEN];

   /* history/message fields: doubly-linked list */
   Boolean keepHistory;
   short myId;
   goHistory *historyFirst, *historyLast;
};

struct _goMessage {
   short owner;
   char type;
   char player, override;
   char x, y;
   char numRows, numColumns;
   char comment[COMMENT_LEN];
};

struct _goHistory {
   goMessage *turn;
   int whiteCount, blackCount;
   char board[BOARD_MAX_LEN];
   goHistory *next, *prev;
};

#endif
