/* goScore.h -- structures and functions for scoring a goGame */

/* mango/tango -- copyright 1994 Edward Grigassy
 * the code included in this package may be distributed, read, and copied
 * freely BUT NOT SOLD OR INCLUDED IN OTHER SOFTWARE, for commercial or
 * public/free use, without express written consent of the author.
 */

#if !defined(GO_SCORE_H)
#define GO_SCORE_H

#define RULE_TYPE_JAPAN	0
#define RULE_TYPE_CHINA	1

typedef struct _goScore goScore;
typedef struct _goTerritory goTerritory;

void goScoreCalculateInfluence(goScore *score);
goScore *goScoreCreate(goGame *game, int player);
goScore *goScoreDestroy(goScore *score);
void goScoreCombine(goScore *comb, goScore *neg, goScore *pos);
void goScorePrint(goScore *score);
void goScorePrintCombined(goScore *score, char neg, char pos);
double goScoreGetValue(goScore *score);

goTerritory *goTerritoryCreate(goGame *game, int player);
int goTerritoryCalculate(goTerritory *terr, int ruleType);
int goTerritoryPrint(goTerritory *terr);
int goTerritoryPrintTerritoryList(goTerritory *terr);
goTerritory *goTerritoryDestroy(goTerritory *territory);
int goTerritoryGetPlaced(goTerritory *terr, int player);
int goTerritoryGetCaptured(goTerritory *terr, int player);
int goTerritoryGetSurrounded(goTerritory *terr, int player);
int goTerritoryGetNeutral(goTerritory *terr);
int goTerritoryGetTotal(goTerritory *terr, int player);

#endif

