/* socklink.h */

/* xmango -- copyright 1994 Edward Grigassy
 * the code included in this package may be distributed, read, and copied
 * freely BUT NOT SOLD OR INCLUDED IN OTHER SOFTWARE, for commercial or
 * public/free use, without express written consent of the author.
 */

#if !defined(SOCKLINK_H)
#define SOCKLINK_H

#define SOCK_TYPE_TCP	0
#define SOCK_TYPE_UDP	1

#define ITEM_STR_LEN 40

typedef struct _qItem qItem;
typedef struct _qHead qHead;

qHead *qHeadCreate(void);
qHead *qHeadDestroy(qHead *head);
qItem *qItemCreate(void);
int qHeadSocketFileDescr(qHead *head);
qItem *enqItem(qHead *head, void *item, int itemSize);
void *deqItem(qHead *head, char *remoteHost, int *remotePort);
qItem *qItemDestroy(qItem *item);
int emptyHead(qHead *head);
	 
int fillInAddresses(char **hisName, char **hisHost,
		    char **myName, char **myHost);
int notifyHisTerminal(char *appName, char *method, 
		      char *hisName, char *hisHost,
		      char *myName, char *myHost, int port);
qHead *prepareSocket(int isServer, char *host, int port, int localPort,
		     int nonBlock, int socketType);
qHead *pollSocket(qHead *head, int itemSize);
int recvSocket(qHead *head, void *buffer, int itemSize);
qHead *sendSocket(qHead *head, void *item, int itemSize);
qHead *closeSocket(qHead *head);

#endif

