/* socklinkP.h -- private version of the header file */

/* xmango -- copyright 1994 Edward Grigassy
 * the code included in this package may be distributed, read, and copied
 * freely BUT NOT SOLD OR INCLUDED IN OTHER SOFTWARE, for commercial or
 * public/free use, without express written consent of the author.
 */

#if !defined(SOCKLINK_P_H)
#define SOCKLINK_P_H

#include "socklink.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <fcntl.h>
#include <pwd.h>
#include <sys/param.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include "strmisc.h"

struct _qItem {
   char senderHost[ITEM_STR_LEN];
   int senderPort;
   void *info;
   int infoSize;
   struct _qItem *next;
};

struct _qHead {
   char remoteHost[ITEM_STR_LEN];
   int port, localPort;
   int isServer, connectEstab;
   int sockfd, type;
   struct sockaddr_in here, there;
   int thereFilled;
   struct _qItem *head, *tail;
   int itemCount;
};

#if !defined(True)
#define True 1
#endif

#if !defined(False)
#define False 0
#endif

int clientConnect(char *host, int port, int localPort,
		  struct sockaddr_in *in_name,
		  struct sockaddr_in *to, int type);
int serverConnect(int port, struct sockaddr_in *in_name, int type);

#endif
