/* xgoRes.h -- application resources for go */

/* xmango -- copyright 1994 Edward Grigassy
 * the code included in this package may be distributed, read, and copied
 * freely BUT NOT SOLD OR INCLUDED IN OTHER SOFTWARE, for commercial or
 * public/free use, without express written consent of the author.
 */

typedef struct {
   int numRows, numColumns, starPoint;
   Boolean moveBeep, superKoOff;
   char *inviteMethod;
   Pixel grid, shadow, player1, player2, bright, light, dull;
   int decayMultiple, influenceDistance;
   float ownershipFloor, ownershipMult;
   char *scoringRules;
} goAppData, *goAppDataPtr;

#if defined(MANGO_APP_RES)

/* this should only be included in one place */

#define XgsNnumRows "numRows"
#define XgsCnumRows "NumRows"
#define XgsNnumColumns "numColumns"
#define XgsCnumColumns "NumColumns"
#define XgsNstarPoint "starPoint"
#define XgsCstarPoint "StarPoint"
#define XgsNmoveBeep "moveBeep"
#define XgsCmoveBeep "MoveBeep"
#define XgsNsuperKoOff "superKoOff"
#define XgsCsuperKoOff "SuperKoOff"
#define XgsNinviteMethod "inviteMethod"
#define XgsCinviteMethod "InviteMethod"
#define XgsNgridColor "gridColor"
#define XgsCgridColor "GridColor"
#define XgsNshadowColor "shadowColor"
#define XgsCshadowColor "ShadowColor"
#define XgsNplayerBlackColor "playerBlackColor"
#define XgsCplayerBlackColor "PlayerBlackColor"
#define XgsNplayerWhiteColor "playerWhiteColor"
#define XgsCplayerWhiteColor "PlayerWhiteColor"
#define XgsNbrightColor "brightColor"
#define XgsCbrightColor "BrightColor"
#define XgsNlightColor "lightColor"
#define XgsClightColor "LightColor"
#define XgsNdullColor "dullColor"
#define XgsCdullColor "DullColor"
#define XgsNdecayMultiple "decayMultiple"
#define XgsCdecayMultiple "DecayMultiple"
#define XgsNinfluenceDistance "influenceDistance"
#define XgsCinfluenceDistance "InfluenceDistance"
#define XgsNownershipFloor "ownershipFloor"
#define XgsCownershipFloor "OwnershipFloor"
#define XgsNownershipMult "ownershipMult"
#define XgsCownershipMult "OwnershipMult"
#define XgsNscoringRules "scoringRules"
#define XgsCscoringRules "scoringRules"

static XtResource goResources[] = {
   {
      XgsNnumRows,
      XgsCnumRows,
      XtRInt,
      sizeof(int),
      XtOffset(goAppDataPtr, numRows),
      XtRImmediate,
      (XtPointer) 19
   },
   {
      XgsNnumColumns,
      XgsCnumColumns,
      XtRInt,
      sizeof(int),
      XtOffset(goAppDataPtr, numColumns),
      XtRImmediate,
      (XtPointer) 19
   },
   {
      XgsNstarPoint,
      XgsCstarPoint,
      XtRInt,
      sizeof(int),
      XtOffset(goAppDataPtr, starPoint),
      XtRImmediate,
      (XtPointer) 4
   },
   {
      XgsNmoveBeep,
      XgsCmoveBeep,
      XtRBoolean,
      sizeof(Boolean),
      XtOffset(goAppDataPtr, moveBeep),
      XtRImmediate,
      (XtPointer) False
   },
   {
      XgsNsuperKoOff,
      XgsCsuperKoOff,
      XtRBoolean,
      sizeof(Boolean),
      XtOffset(goAppDataPtr, superKoOff),
      XtRImmediate,
      (XtPointer) False
   },
   {
      XgsNinviteMethod,
      XgsCinviteMethod,
      XtRString,
      sizeof(String),
      XtOffset(goAppDataPtr, inviteMethod),
      XtRImmediate,
      (XtPointer) "none"
   },
   {
      XgsNgridColor,
      XgsCgridColor,
      XtRPixel,
      sizeof (Pixel),
      XtOffset(goAppDataPtr, grid),
      XtRString,
      (XtPointer) "black" 
   },
   {
      XgsNshadowColor,
      XgsCshadowColor,
      XtRPixel,
      sizeof (Pixel),
      XtOffset(goAppDataPtr, shadow),
      XtRString,
      (XtPointer) "slategrey" 
   },
   {
      XgsNplayerBlackColor,
      XgsCplayerBlackColor,
      XtRPixel,
      sizeof (Pixel),
      XtOffset(goAppDataPtr, player1),
      XtRString,
      (XtPointer) "darkslategrey" 
   },
   {
      XgsNplayerWhiteColor,
      XgsCplayerWhiteColor,
      XtRPixel,
      sizeof (Pixel),
      XtOffset(goAppDataPtr, player2),
      XtRString,
      (XtPointer) "snow2" 
   },
   {
      XgsNbrightColor,
      XgsCbrightColor,
      XtRPixel,
      sizeof (Pixel),
      XtOffset(goAppDataPtr, bright),
      XtRString,
      (XtPointer) "white" 
   },
   {
      XgsNlightColor,
      XgsClightColor,
      XtRPixel,
      sizeof (Pixel),
      XtOffset(goAppDataPtr, light),
      XtRString,
      (XtPointer) "gainsboro" 
   },
   {
      XgsNdullColor,
      XgsCdullColor,
      XtRPixel,
      sizeof (Pixel),
      XtOffset(goAppDataPtr, dull),
      XtRString,
      (XtPointer) "slategrey" 
   },
   {
      XgsNdecayMultiple,
      XgsCdecayMultiple,
      XtRInt,
      sizeof(int),
      XtOffset(goAppDataPtr, decayMultiple),
      XtRImmediate,
      (XtPointer) 2
   },
   {
      XgsNinfluenceDistance,
      XgsCinfluenceDistance,
      XtRInt,
      sizeof(int),
      XtOffset(goAppDataPtr, influenceDistance),
      XtRImmediate,
      (XtPointer) 7
   },
   {
      XgsNownershipFloor,
      XgsCownershipFloor,
      XtRFloat,
      sizeof(float),
      XtOffset(goAppDataPtr, ownershipFloor),
      XtRString,
      (XtPointer) "1.0"
   },
   {
      XgsNownershipMult,
      XgsCownershipMult,
      XtRFloat,
      sizeof(float),
      XtOffset(goAppDataPtr, ownershipMult),
      XtRString,
      (XtPointer) "1.25"
   },
   {
      XgsNscoringRules,
      XgsCscoringRules,
      XtRString,
      sizeof(String),
      XtOffset(goAppDataPtr, scoringRules),
      XtRImmediate,
      (XtPointer) "Japanese"
   },
};


#endif
