/* xpublic.h -- include file for x/motif/athena interface */

#if !defined(XPUBLIC_H)
#define XPUBLIC_H

#include "public.h"

#undef NEW
#define NEW(A) (A *)XtCalloc(1, sizeof(A))
#undef DESTROY
#define DESTROY(A) XtFree((char *)A)

/* X includes */
#include <X11/Xlib.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Shell.h>

#if defined(USE_MOTIF)

#include <Xm/Xm.h>
#include <Xm/ArrowB.h>
#include <Xm/BulletinB.h>
#include <Xm/CascadeB.h>
#include <Xm/DialogS.h>
#include <Xm/DrawingA.h>
#include <Xm/FileSB.h>
#include <Xm/Form.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>
#include <Xm/List.h>
#include <Xm/MenuShell.h>
#include <Xm/MessageB.h>
#include <Xm/PanedW.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/Scale.h>
#include <Xm/ScrolledW.h>
#include <Xm/SeparatoG.h>
#include <Xm/Text.h>
#include <Xm/TextF.h>
#include <Xm/ToggleB.h>

#define TITLE_RESOURCE XmNtitle
#define ICON_NAME_RESOURCE XmNiconName
#define POPDOWN_CALLBACK XmNpopdownCallback
#define POPUP_CALLBACK XmNpopupCallback
#define DESTROY_CALLBACK XmNdestroyCallback
#define ACTIVATE_CALLBACK XmNactivateCallback
#define WIDTH_RESOURCE XmNwidth
#define HEIGHT_RESOURCE XmNheight
#define FOREGROUND_RESOURCE XmNforeground
#define BACKGROUND_RESOURCE XmNbackground

/* useful macros */
#ifndef STRING_ARG_LEN
#define STRING_ARG_LEN(RESOURCE, STRING, LENGTH) \
  XtVaTypedArg, (RESOURCE) ,XmRString, (STRING), (LENGTH)
#endif

#ifndef STRING_ARG
#define STRING_ARG(RESOURCE, STRING) \
  STRING_ARG_LEN((RESOURCE),(STRING),strlen(STRING)+1)
#endif

#else

#include <X11/Xaw/Form.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Box.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Viewport.h>

#define TITLE_RESOURCE XtNtitle
#define ICON_NAME_RESOURCE XtNiconName
#define POPDOWN_CALLBACK XtNpopdownCallback
#define POPUP_CALLBACK XtNpopupCallback
#define DESTROY_CALLBACK XtNdestroyCallback
#define ACTIVATE_CALLBACK XtNcallback
#define WIDTH_RESOURCE XtNwidth
#define HEIGHT_RESOURCE XtNheight
#define FOREGROUND_RESOURCE XtNforeground
#define BACKGROUND_RESOURCE XtNbackground

#endif

#endif
